Skip to main content
GET
/
logs
/
{logId}
cURL
curl --request GET \
  --url https://api.cradl.ai/{basePath}/logs/{logId} \
  --header 'Authorization: Bearer <token>'
{
  "resourceId": "<string>",
  "logId": "<string>",
  "workflowExecutionId": "<string>",
  "startTime": "<string>",
  "workflowId": "<string>",
  "events": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

logId
string
required

Response

200 response

resourceId
string | null
required
Pattern: ^((cradl|las):[a-z0-9-_]+:[a-z0-9-_]+)(/((cradl|las):[a-z0-9-_]+:[a-z0-9-_]+))*$
logId
string
required
Pattern: ^(cradl|las):log:[a-f0-9]{32}$
workflowExecutionId
string | null
required
Pattern: ^las:workflow-execution:[a-f0-9]{32}$
startTime
string | null
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
workflowId
string | null
required
Pattern: ^las:workflow:[a-f0-9]{32}$
events
object[]